#include <IRremote.h> 
#include<AccelStepper.h>
#define HALFSTEP 7   
#define motorPin1  8 // IN1  1-  ULN2003
#define motorPin2  9 // IN2  1-  ULN2003
#define motorPin3  10 // IN3  1-  ULN2003
#define motorPin4  11 // IN4  1-  ULN2003

AccelStepper stepper1(HALFSTEP, motorPin1, motorPin3, motorPin2, motorPin4);
void setup() 
{
  irrecv.enableIRIn();  
  pinMode(13, OUTPUT);
  pinMode(12, OUTPUT); 
  pinMode(A0, INPUT); 
  Serial.begin(9600); 
  stepper1.setMaxSpeed(1000.0);
  stepper1.setAcceleration(100.0);
  stepper1.setSpeed(200);
}

void loop() //  loop
{
   if(stepper1.distanceToGo()==0)
    stepper1.moveTo(-stepper1.currentPosition());
  stepper1.run();
  if (irrecv.decode(&results)) 
  {
    Serial.println(results.value);
 
     
     if (results.value == 16754775) { 
   
   }
     if (results.value == 16769055) { 
    
   }
     if (results.value == 16718055) { 
     
   }
     if (results.value == 16724175) { 
    
   }

  }
}